Method: projects.locations.dataStores.completionSuggestions.import

Imports CompletionSuggestions for a DataStore.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/dataStores/*}/completionSuggestions:import

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent data store resource name for which to import customer autocomplete suggestions.

Follows pattern projects/*/locations/*/collections/*/dataStores/*

Request body

The request body contains data with the following structure:

JSON representation
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
Fields
errorConfig

object (ImportErrorConfig)

The desired location of errors incurred during the Import.

The source of the autocomplete suggestions. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
inlineSource

object (InlineSource)

The Inline source for suggestion entries.

gcsSource

object (GcsSource)

Cloud Storage location for the input content.

bigquerySource

object (BigQuerySource)

BigQuery input source.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • discoveryengine.completionSuggestions.import

For more information, see the IAM documentation.